Bug 1843396 - [sig-network] Services should preserve source pod IP for traffic thru service cluster IP [LinuxOnly]
Summary: [sig-network] Services should preserve source pod IP for traffic thru service...
Keywords:
Status: CLOSED DUPLICATE of bug 1845202
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Antonio Ojea
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1843946
TreeView+ depends on / blocked
 
Reported: 2020-06-03 08:40 UTC by Karel Šimon
Modified: 2020-06-17 11:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1843946 (view as bug list)
Environment:
[sig-network] Services should preserve source pod IP for traffic thru service cluster IP [LinuxOnly]
Last Closed: 2020-06-17 11:32:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Šimon 2020-06-03 08:40:15 UTC
test:
[sig-network] Services should preserve source pod IP for traffic thru service cluster IP [LinuxOnly] 

is failing frequently in CI, see search results:
https://search.svc.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-network%5C%5D+Services+should+preserve+source+pod+IP+for+traffic+thru+service+cluster+IP+%5C%5BLinuxOnly%5C%5D

Comment 2 W. Trevor King 2020-06-04 22:32:10 UTC
Saving folks a click-through, seems like a mostly-OVN thing:

$ w3m -dump -cols 200 'https://search.apps.build01.ci.devcluster.openshift.com/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-network%5C%5D+Services+should+preserve+source+pod+IP+for+traffic+thru+service+cluster+IP+%5C%5BLinuxOnly%5C%5D' | grep 'of failures match'
release-openshift-origin-installer-e2e-aws-ovn-4.6 - 4 runs, 75% failed, 33% of failures match
pull-ci-openshift-cluster-network-operator-master-e2e-gcp-ovn - 55 runs, 78% failed, 23% of failures match
pull-ci-openshift-cluster-network-operator-master-e2e-ovn-step-registry - 24 runs, 67% failed, 13% of failures match
pull-ci-openshift-ovn-kubernetes-master-e2e-aws-ovn - 4 runs, 75% failed, 33% of failures match
release-openshift-origin-installer-e2e-aws-ovn-network-stress-4.5 - 20 runs, 95% failed, 74% of failures match
release-openshift-origin-installer-launch-aws - 419 runs, 52% failed, 0% of failures match
osde2e-stage-aws-conformance-default - 7 runs, 71% failed, 40% of failures match
release-openshift-ocp-installer-e2e-aws-ovn-4.5 - 44 runs, 48% failed, 29% of failures match
pull-ci-openshift-cluster-network-operator-master-e2e-vsphere - 85 runs, 99% failed, 2% of failures match
pull-ci-openshift-cluster-network-operator-master-e2e-ovn-hybrid-step-registry - 26 runs, 77% failed, 10% of failures match
rehearse-9362-release-openshift-origin-installer-e2e-remote-libvirt-s390x-4.3 - 10 runs, 100% failed, 10% of failures match
release-openshift-ocp-installer-e2e-openstack-4.3 - 17 runs, 100% failed, 6% of failures match
endurance-e2e-aws-4.3 - 5 runs, 100% failed, 20% of failures match


Note You need to log in before you can comment on or make changes to this bug.